#
#   Pyrex -- Misc Mac-specific things
#

def open_new_file(path):
  # On the Mac, try to preserve Finder position
  # of previously existing file.
  import MacOS, macfs
  fsspec = macfs.FSSpec(path)
  try:
    old_finfo = fsspec.GetFInfo()
  except MacOS.Error:
    old_finfo = None
  file = open(path, "w")
  if old_finfo:
    new_finfo = fsspec.GetFInfo()
    new_finfo.Location = old_finfo.Location
    fsspec.SetFInfo(new_finfo)
  return file

